<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  $vg_empresa=1;
  $coddoc=$_REQUEST["td"];
  $proveedor=$_REQUEST["proveedor"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
/*
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="DOCUMENTOS";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=DOCUMENTOS';";
echo "</script>";
}
*/
include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title><?php echo $nombreprograma; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

	<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/dataTables.bootstrap4.min.css">
	<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/responsive.bootstrap4.min.css">

  
<script type='text/javascript'   src='../js1/jquery-1.8.3.js'></script>
<script type='text/javascript'   src="../js1/select2.min.js"></script>
<link rel="stylesheet" type="text/css"   href="../js1/select2.css">
<script type='text/javascript'   src="../js1/bootstrap.min.js"></script>

<script type='text/javascript'>
$(window).load(function(){
   $('#proveedor').select2();
});

$(window).load(function(){
   $('#concepto').select2();
});
</script>

<style>

.select-editable {
     position:relative;
     background-color:white;
     border:solid grey 1px;
     width:120px;
     height:18px;
 }
 .select-editable select {
     position:absolute;
     top:0px;
     left:0px;
     font-size:14px;
     border:none;
     width:120px;
     margin:0;
 }
 .select-editable input {
     position:absolute;
     top:0px;
     left:0px;
     width:100px;
     padding:1px;
     font-size:12px;
     border:none;
 }
 .select-editable select:focus, .select-editable input:focus {
     outline:none;
 }

</style>

  
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
</head>

 
 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>

 <script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>

<BODY onLoad="parametros.cuenta.focus();" >
<?php

include "../conexion.php";
$documento=$_REQUEST["documento"]; 
$permiso=$_REQUEST["p"]; 
$td=$_REQUEST["td"]; 

/*
/// parametrizar en tipo de documento
if($td=='fp'){$dc='D';}
if($td=='ctac'){$dc='D';}
if($td=='ndp'){$dc='D';}
if($td=='ncp'){$dc='C';}
if($td=='fe'){$dc='C';}
if($td=='cm'){$dc='D';}
if($td=='cm'){$dc='D';}
*/



$cuenta="";$tipoconcepto="";$cencos="";$valor="";$detalle="";$iva="";$retefuente="";$reteica="";$reteiva="";$estadoDOC="";
$nocuenta="";$dc='0';

//////////////////////
//$cuentaanticipo="1330100000";  // ojoo se debe parametrizar en algun lado
//////////////////////
$cboiva=""; $cboreteiva="";
if($td=='ctac'){$cboiva="disabled"; $cboreteiva="disabled";}

$anticipo=0;
$sql_datos =mysqli_query($conexion,"select  anticipo,tipodocumento,estado,municipio FROM documento	where id='".$documento."' and empresa='".$vg_empresa."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$anticipo=$datos[0]; 
						$tipodocumento=$datos[1];
					 	$estadoDOC=$datos[2];
					 	$municipio=$datos[3]; 	
				   }


	$sql_datos =mysqli_query($conexion,"select cuentacontable,anticipo,naturaleza FROM par_tipodocumentos	where id='".$tipodocumento."'");
	while($datos= mysqli_fetch_row($sql_datos))	{ $cuentacontable=$datos[0]; $cuentaanticipo=$datos[1];   $dc=$datos[2];}

	$contarfiscal=0;	
	$sql_datos =mysqli_query($conexion,"select count(*) FROM tercero_fiscal	where tercero='".$proveedor."' and empresa='".$vg_empresa."' and fiscal='6'");
		while($datos= mysqli_fetch_row($sql_datos))	{ $contarfiscal=$datos[0];   }	

   

//INFORMACION CONTABLE DE LA EMPRESA
 		$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero_contable where id='".$proveedor."' and empresa='".$vg_empresa."'");
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 	
			    $sql_datos =mysqli_query($conexion,"select  tercero,tipo,concepto,cuenta,iva,retefuente,reteica,subtipo,ubicacion,fecsis,horasis,usuario
    													FROM tercero_contable
    													where tercero='".$proveedor."' and empresa='".$vg_empresa."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$proveedor=$datos[0]; 						
						$tipo=$datos[1]; 	
						$concepto=$datos[2]; 	
						$cuenta=$datos[3]; 	
						$iva=$datos[4]; 	
						$retefuente=$datos[5]; 	
						$reteica=$datos[6]; 	
						$subtipo=$datos[7]; 
					 	$ubicacion=$datos[8]; 
					 	
				   }
			}


$rs_tipo=mysqli_query($conexion,"SELECT id,nombre FROM par_generales where tipo='tipoconcepto' order by nombre asc");
$rs_iva=mysqli_query($conexion,"SELECT id,nombre FROM par_iva where empresa='".$vg_empresa."' order by id asc");
$rs_retefuente=mysqli_query($conexion,"SELECT id,nombre FROM par_retefuente where empresa='".$vg_empresa."' order by nombre asc");
$rs_cencos=mysqli_query($conexion,"SELECT id,nombre FROM par_centro_costo 
								where empresa='".$vg_empresa."' and estado='1' order by nombre asc");


$rs_reteica=mysqli_query($conexion,"SELECT id,nombre FROM par_reteica where empresa='".$vg_empresa."' and municipio='".$municipio."' order by nombre asc");			 


if($_REQUEST["id"]>0)
	{  
		     $rsdc="";
            $sql_datosdc=mysqli_query($conexion,"select dc FROM documento_item
        										where documento='".$documento."'
        										and coddoc='".$coddoc."'
        										and empresa='".$vg_empresa."' ");
        	while($datosdc=mysqli_fetch_row($sql_datosdc)){$rsdc=$datosdc[0];}
             if($rsdc=='C'){$vdc=-1;}
             if($rsdc=='D'){$vdc=1;}
     
		     $id=$_REQUEST["id"];
			  $sql_datos =mysqli_query($conexion,"select item,cuenta,tipo,cencos,valor,detalle,iva,retefuente,reteica,reteiva,nocuenta,dc,subtipo,concepto
												  FROM documento_item
												  where id='".$id."'
												  and coddoc='".$coddoc."'");
				while($datoslog= mysqli_fetch_row($sql_datos))
					 { 
						  $item=$datoslog[0];
						  $cuenta=$datoslog[1];
						  $tipo=$datoslog[2];
						  $cencos=$datoslog[3];
						  $valor=number_format($datoslog[4],2,'.',','); 
						  $detalle=$datoslog[5];
						  $iva=$datoslog[6];
						  $retefuente=$datoslog[7];
						  $reteica=$datoslog[8];
						  $reteiva=$datoslog[9];
						  $nocuenta=$datoslog[10];
						  $dc=$datoslog[11];
						  $subtipo=$datoslog[12];
						  $concepto=$datoslog[13];
					 }
	}
	

if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"];   		
	$cuenta=$_REQUEST["cuenta"];   		
	$tipoconcepto=$_REQUEST["tipoconcepto"];   		
	$cencos=$_REQUEST["cencos"];   		
	$valor=str_replace(',','',$_REQUEST['valor']);
	$detalle=$_REQUEST["detalle"];   		
	$iva=$_REQUEST["iva"];   		
	$retefuente=$_REQUEST["retefuente"];   		
	$reteica=$_REQUEST["reteica"];   		
	$reteiva=$_REQUEST["reteiva"];
	$nocuenta=$_REQUEST["nocuenta"];   		

	$tipo=$_REQUEST['tipo'];	
	$subtipo=$_REQUEST['subtipo'];	
	$concepto=$_REQUEST['concepto'];	
	$cuenta=$_REQUEST['cuenta'];	

if($_REQUEST["oguardar"]==1)
	{  
	  if($estadoDOC<>107)
	     {
	         $mensaje="No se puded modificar estado diferente de creado";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
	     }
	     else
	     {
        	  if($vg_login<>"")
        	   {
        			$existeitem=1;
        			if($existeitem==1)
        			{
        				$pasamod=1;
        				if($pasamod==1)
        				   {  	
        						 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento_item 
        						 							where documento='".$documento."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."'");
        		 				  while($datos= mysqli_fetch_row($sql_contar)){ $item=$datos[0]+1;}
        		                  
        		                  if($td=='fe'){$dc='C';$signo="-";}
        		                  if($td=='ncfe'){$dc='D';$signo="";}
        		                  if($td=='ndfe'){$dc='C';$signo="-";}
        		                  
        						  $sql_insert=mysqli_query($conexion,"insert into documento_item 
        										(documento,empresa,item,tipo,subtipo,concepto,cuenta,cencos,
        										valor,detalle,iva,retefuente,reteica,reteiva,
        										 fecsis,horasis,usuario,nocuenta,coddoc,dc)
        										  values('".$documento."','".$vg_empresa."','".$item."',
        										         '".$tipo."','".$subtipo."','".$concepto."','".$cuenta."',
        												 '".$cencos."','".$valor."','".$detalle."','".$iva."','".$retefuente."',
        												 '".$reteica."','".$reteiva."',
        												 '".$fecsis."','".$horasis."','".$vg_login."','".$cuenta."','".$coddoc."','".$dc."')"); 	
        						 if($sql_insert)
        						   {
        								$mensaje="Se registro el item";
        								?>				  
        								<script>
        								cuteToast({
        									  type: "success", // or 'info', 'error', 'warning'
        									  message: "<?php echo $mensaje; ?>",
        									  timer: 4000
        									})
        								</script>
        							   <?php
        						   }	 
        						 else 
        						  {
        							  $mensaje="Error al registrar el item";
        							?>				  
        							<script>
        							cuteToast({
        								  type: "error", // or 'info', 'error', 'warning'
        								  message: "<?php echo $mensaje; ?>",
        								  timer: 4000
        								})
        							</script>
        						   <?php
        									
        						  }	
        					  }
        				  else
        				   {
        					   $mensaje="No se puede agregar el items";
        									?>				  
        									<script>
        									cuteToast({
        										  type: "error", // or 'info', 'error', 'warning'
        										  message: "<?php echo $mensaje; ?>",
        										  timer: 4000
        										})
        									</script>
        								   <?php
        					} 
        			}
        		   else
        		    {
        			   $mensaje="No existe el item asociado a la empresa";	
        					?>				  
        					<script>
        					cuteToast({
        						  type: "error", // or 'info', 'error', 'warning'
        						  message: "<?php echo $mensaje; ?>",
        						  timer: 4000
        						})
        					</script>
        				   <?php
        			}	
               }
             else
              {
        	  	 $mensaje="Debe cerrar session y volverte a loguear";
        			 ?>				  
        			<script>
        			cuteToast({
        				  type: "error", // or 'info', 'error', 'warning'
        				  message: "<?php echo $mensaje; ?>",
        				  timer: 4000
        				})
        			</script>
        		   <?php	
        	  }
	     }	  
    }//fin guardar
				 
	
if($_REQUEST["omodificar"]==1)
	 {   
		if($estadoDOC<>107)
	     {
	         $mensaje="No se puded modificar estado diferente de creado";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
	     }
	     else
	     {
				$pasamod=1;
				if($pasamod==1)
				   {  	   
							 if($td=='fe'){$dc='C';$signo="-";}
        		             if($td=='ncfe'){$dc='D';$signo="";}
        		             if($td=='ndfe'){$dc='C';$signo="-";}
        		                  
								  $sql_insert=mysqli_query($conexion,"update documento_item set
																		cuenta='".$cuenta."',
																		tipo='".$tipo."',
																		subtipo='".$subtipo."',
																		concepto='".$concepto."',
																		cencos='".$cencos."',
																		valor='".$valor."',
																		detalle='".$detalle."',
																		iva='".$iva."',
																		retefuente='".$retefuente."',
																		reteica='".$reteica."',
																		reteiva='".$reteiva."',
																		nocuenta='".$cuenta."'
																		where id='".$id."'");
								 if($sql_insert)
								   {/*echo "<script>alert('Se registro los datos');</script>";*/
									  $mensaje="Se modifico el Item el item";
									  ?>				  
										<script>
										cuteToast({
											  type: "success", // or 'info', 'error', 'warning'
											  message: "<?php echo $mensaje; ?>",
											  timer: 4000
											})
										</script>
									   <?php
								   }	
								 else 
								  {
									   /*echo "<script>alert('Error al registra los datos');</script>";*/
								   $mensaje="Error al modificar el item";
											?>				  
										<script>
                                        cuteToast({
                                              type: "error", // or 'info', 'error', 'warning'
                                              message: "<?php echo $mensaje; ?>",
                                              timer: 4000
                                            })
                                        </script>
                                       <?php
								  }	
				 	}
				  else
				   {
					 $mensaje="No se puede agregar item.";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php 
					} 
	     }			
	 }//fin guardar				 

  if($_REQUEST['nuevo']==1)
	   { 
	   		$id="";$cuenta="";$tipoconcepto="";$cencos="";$valor="";$detalle="";$iva="";$retefuente="";$reteica="";$reteiva="";
	       $nocuenta="";$dc='0';
	   }

	if($_REQUEST["oquitar"]==1)
	  {
	      if($estadoDOC<>107)
	     {
	         $mensaje="No se puded modificar estado diferente de creado";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
	     }
	     else
	     {
    		 $pasamod=1;
    		if($pasamod==1)
    		   {  
    					$c=1; $entro=0;  $canti=$_REQUEST['cantir'];
    					while($c<=$canti)
    					{  
    						if(isset($_REQUEST['ch'.$c])) {$val=1; }  else {$val=0;} 
    						$id=$_REQUEST['id'.$c];
    						if($val==1)
    						  { 
    							$sql_insert=mysqli_query($conexion,"delete from  documento_item where id='".$id."'"); 
    							$entro=1;
    						  }
    						$c=$c+1;
    					}//fin cliclo	  
    					
    					if($entro==1)
    					 {  $cr=1;
    						
    					 }
    					
    			}
    		  else
    		   {
    				 $mensaje="No se puede quitar";
    						?>				  
    						<script>
    						cuteToast({
    							  type: "error", // or 'info', 'error', 'warning'
    							  message: "<?php echo $mensaje; ?>",
    							  timer: 4000
    							})
    						</script>
    					   <?php 
    				} 
	     }			
	  }//fin guardar

	if($_REQUEST["ocuenta"]==1)
		 {   
				$cuenta="";	
				$sql_datos =mysqli_query($conexion,"select  $subtipo FROM par_conceptos
															where id='".$concepto."'");
						while($datos= mysqli_fetch_row($sql_datos))
						{ 
							$cuenta=$datos[0]; 
						}
		 }

}


?>
<form name="frmempresa" method="post" action="" >
<center>
  <div class="panel panel-primary" style="width:99%" >
  <div class="pd-20">
						<h4 class="text-black h4">ITEMS DOCUMENTO</h4>
					</div>
       <div align="center">
                 <input name="id" type="hidden"   id="id" value="<?php echo $id; ?>">	  
            <input name="nuevo" type="hidden"  id="nuevo"  value="Nuevo" class="btn btn-primary" onClick='onuevo.value=1;' />
            <input name="guardar" type="button"  id="guardar"  value="Guardar"
                           onClick="return pregunta_guardar();" class="btn btn-primary" />
            <input name="modificar" type="button"  id="modificar"  value="Modificar" 
                          onClick="return pregunta_modificar();"  class="btn btn-primary" />
            <input name='borra' type='submit' id='borra' value='Borrar Item' onClick='oquitar.value=1;' 
                          class='btn btn-primary' >
            <input name="oguardar" type="hidden" id="oguardar">
            <input name="omodificar" type="hidden" id="omodificar">
            <input name="obuscaitem" type="hidden" id="obuscaitem">
            <input name="oquitar" type="hidden" id="oquitar">
            <input name="oculto" type="hidden" id="oculto">
            <input name="ocuenta" type="hidden" id="ocuenta">
            <input name="onuevo" type="hidden" id="onuevo">
         <table width="100%" border="1" cellpadding="0" cellspacing="0" class='table table-bordered table-striped'>
          <tbody>
                <tr>
                  <td width="15%" class="btn-primary">TIPO</td>
                  <td width="11%" class="btn-primary">SUBTIPO</td>
                  <td colspan="2" class="btn-primary">CONCEPTO</td>
                  <td width="12%" class="btn-primary">CUENTA</td>
                  <td width="12%" class="btn-primary" colspan='2'>CENCOS</td>
                </tr>
                <tr>
                  <td><select name="tipo"  id="tipo" class="form-control" style="width: 100%" onChange="submit();"  >
                    <option value="0" selected="selected"></option>
                    <?php while ($rowba=mysqli_fetch_array($rs_tipo))
									{
									 if ($tipo==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
                  </select></td>
                  <td><?php
						 if($tipo>0)
						 {
							$rs_tipocontable=mysqli_query($conexion,"SELECT cuenta FROM par_conceptos_tipo where tipo='".$tipo."' order by cuenta asc");
						 }
						 else
						 {
						      $rs_tipocontable=mysqli_query($conexion,"SELECT '' FROM par_conceptos_tipo where id=0");
						 }
			  
			 		 ?>
                    <select name="subtipo"  id="subtipo"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"  class="form-control" style="width: 100%" >
                      <option value="0" selected></option>
                      <?php while ($rowba=mysqli_fetch_array($rs_tipocontable))
									{
									 if ($subtipo==$rowba['cuenta'])
										{echo "<option value=".$rowba['cuenta']." selected>".substr($rowba['cuenta'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['cuenta'].">".substr($rowba['cuenta'],0,40)."</option>";}		
									}
							 ?>
                  </select></td>
                  <td colspan="2"><?php
                if($tipo>0)
				{
					$rs_conceptos=mysqli_query($conexion,"SELECT id,nombre FROM par_conceptos where tipo='".$tipo."' order by nombre asc");
				}
				else
				{
					$rs_conceptos=mysqli_query($conexion,"SELECT 0,'' FROM par_conceptos where id=0");
				}
			  ?>
                    <select name="concepto"  id="concepto"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%"  onChange="ocuenta.value=1;submit();" >
                      <?php while ($rowba=mysqli_fetch_array($rs_conceptos))
									{
									 if ($concepto==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
                  </select></td>
                  <td><input name="cuenta" type="text"   id="cuenta" value="<?php echo $cuenta; ?>" 								 
								class="form-control"  style="width: 90%; text-align:right; "
                                  onKeyPress='mascara(this,cpf)' ></td>
                  <td colspan='2'><select name="cencos" id="cencos"  class="form-control"  style="width: 100%" >
                    <option value="0" ></option>
                    <?php while ($rowba=mysqli_fetch_array($rs_cencos))
                									{
                									 if ($cencos==$rowba['id'])
                										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
                									 else
                										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
                									}
                							 ?>
                  </select></td>
                </tr>
                <tr>
                  <td class="btn-primary">VALOR</td>
                  <td colspan="2" class="btn-primary">DETALLE</td>
                  <td width="20%" class="btn-primary">IVA</td>
                  <td class="btn-primary">RETEFTE</td>
                  <td class="btn-primary" width="15%">RETEICA</td>
                  <td class="btn-primary" width="15%">RETEIVA</td>
                </tr>
                <tr>
                  <td><input name="valor" type="text"   id="valor" value="<?php echo $valor; ?>" 								 
								class="form-control"  style="width: 90%; text-align:right; "
                                  onKeyPress='mascara(this,cpf)' ></td>
                  <td colspan="2"><input name="detalle" type="text"   id="detalle" value="<?php echo $detalle; ?>" 								 
								class="form-control"  style="width: 95%;"></td>
                  <td><select name="iva" id="iva"  class="form-control"  style="width: 100%" <?php echo $cboiva; ?>>
                    <?php while ($rowba=mysqli_fetch_array($rs_iva))
								{
								 if ($iva==$rowba['id'])
									{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
								 else
									{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
								}
						 ?>
                  </select></td>
                  <td><select name="retefuente" id="retefuente"  class="form-control"  style="width: 100%" >
                    <option value="0" ></option>
                    <?php while ($rowba=mysqli_fetch_array($rs_retefuente))
								{
								 if ($retefuente==$rowba['id'])
									{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";
									}
								 else
									{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
								}
						 ?>
                  </select></td>
                  <td><select name="reteica" id="reteica"  class="form-control"  style="width: 100%" >
                    <option value="0" ></option>
                    <?php while ($rowba=mysqli_fetch_array($rs_reteica))
								{
								 if ($reteica==$rowba['id'])
									{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";
									}
								 else
									{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
								}
						 ?>
                  </select></td>
                  <td><select name="reteiva" id="reteiva"  class="form-control"  style="width: 100%" <?php echo $cboreteiva; ?> >
                      <?php
                       if($contarfiscal>=1)
                        {
                            $rs_reteiva=mysqli_query($conexion,"SELECT id,nombre FROM par_reteiva order by id asc");
                        }
                       else
                       {
                          $rs_reteiva=mysqli_query($conexion,"SELECT id,nombre FROM par_reteiva where id=0");
                          echo "<option value='3' >0-NA</option>";       
                       }
                      ?>
                    
                    <?php while ($rowba=mysqli_fetch_array($rs_reteiva))
								{
								 if ($reteiva==$rowba['id'])
									{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";
									}
								 else
									{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
								}
						 ?>
                  </select></td>
                </tr>
              </tbody>
            </table>
         <?php
  echo "<table id='example1' class='table table-bordered table-striped' style='font-size:12px; width:100%' cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>";
  echo " <thead><tr> 
		  <th width='4%' align='center' class='btn-primary' >ITEM</th>
		  <th width='10%' align='center' class='btn-primary'>TIPO</th>
		  <th width='10%' align='center' class='btn-primary'>SUBTIPO</th>
		  <th width='10%' align='center' class='btn-primary'>CONCEPTO</th>
		  <th width='10%' align='center' class='btn-primary'>CUENTA</th>
		  <th width='10%' align='center' class='btn-primary'>CENCOS</th>
		  <th width='10%' align='center' class='btn-primary'>VALOR</th>
		  <th width='10%' align='center' class='btn-primary'>DETALLE</th>
		  <th width='10%' align='center' class='btn-primary'>IVA</th>
		  <th width='10%' align='center' class='btn-primary'>RETEFUENTE</th>
		  <th width='10%' align='center' class='btn-primary'>RETEICA</th>
		  <th width='10%' align='center' class='btn-primary'>RETEIVA</th>
		</tr></thead>
               <tbody>";
		$c=1;$suma=0;
		$sql_datos=mysqli_query($conexion,"select id,item,cuenta,tipo,cencos,valor,detalle,
									iva,retefuente,reteica,reteiva,nocuenta,dc,subtipo,concepto,dc
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."'
											order by id asc");
		while($datoslog= mysqli_fetch_row($sql_datos))//01
		{
			$id=$datoslog[0];
			$item=$datoslog[1];
			$cuenta=$datoslog[2];
			$tipo=$datoslog[3];
			$cencos=$datoslog[4];
			$valor=$datoslog[5];
			$detalle=$datoslog[6];
			$iva=$datoslog[7];
			$retefuente=$datoslog[8];
			$reteica=$datoslog[9];
			$reteiva=$datoslog[10];
			$nocuenta=$datoslog[11];
			$dc=$datoslog[12];
			$subtipo=$datoslog[13];
			$concepto=$datoslog[14];
			$dc=$datoslog[15];
			
            $ntipo="";
            $rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$tipo."'");
            while($datoses= mysqli_fetch_row($rs_sql)){ $ntipo=$datoses[0];}
            $nconcepto="";
            $rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_conceptos where id='".$concepto."'");
            while($datoses= mysqli_fetch_row($rs_sql)){ $nconcepto=$datoses[0];}
            $niva="";

			
            $ncencos="";
			$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_centro_costo where id='".$cencos."'");
			while($datoccs= mysqli_fetch_row($rs_ccs)){$ncencos=$datoccs[0];}
			$ncuenta="";
			$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_conceptos where id='".$cuenta."'");
			while($datoccs= mysqli_fetch_row($rs_ccs)){$ncuenta=$datoccs[0];}
            $ntipoconcepto="";
			$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$tipoconcepto."'");
			while($datoccs= mysqli_fetch_row($rs_ccs)){$ntipoconcepto=$datoccs[0];}
			$niva="";
			$rs_iva=mysqli_query($conexion,"SELECT nombre FROM par_iva where id='".$iva."'");
			while($datoccs= mysqli_fetch_row($rs_iva)){$niva=$datoccs[0];}
			$nreteica="";
            $rs_reteica=mysqli_query($conexion,"SELECT nombre FROM par_reteica where id='".$reteica."'");
            while($datoccs= mysqli_fetch_row($rs_reteica)){$nreteica=$datoccs[0];}
            $nreteiva="";
            $rs_reteiva=mysqli_query($conexion,"SELECT nombre FROM par_reteiva where id='".$reteiva."'");
            while($datoccs= mysqli_fetch_row($rs_reteiva)){$nreteiva=$datoccs[0];}
            $nretefuente="";
            $rs_retefuente=mysqli_query($conexion,"SELECT nombre FROM par_retefuente where id='".$retefuente."'");
            while($datoccs= mysqli_fetch_row($rs_retefuente)){$nretefuente=$datoccs[0];}
            
            if($dc=='C'){$vdc=-1;}
            if($dc=='D'){$vdc=1;}

			echo "<tr>
					<td align='center'>
					<input name='id$c' type='hidden' id='id$c'  value='$id'>
					<input type='checkbox' name='ch$c'>					
					<br><a href='documento_item.php?id=$id&documento=$documento&td=$coddoc&p=2&proveedor=$proveedor'>$c</a>
				</td>
					<td align='center'>$ntipo</td>
					<td align='center'>$subtipo</td>
					<td align='center'>$nconcepto</td>
					<td align='center'>$cuenta</td>
					<td align='center'>$ncencos</td>										
					<td align='right'>".number_format($valor)."</td>
					<td align='center'>$detalle</td>		
					<td align='center'>$niva</td>
					<td align='center'>$nretefuente</td>
					<td align='center'>$nreteica</td>
					<td align='center'>$nreteiva</td>
				</tr>";
				//$total=$cantidad*$valorunitario;
				$suma=$suma+$valor;
			$c++;	
		}
	  echo "</tbody></table>";	
	  $canti=$c-1;
		echo "<input type='hidden' name='cantir' value='$canti' readonly size='10'>";	
    $subtotal=$suma;	


//CALCULAMOS EL RESUMEN PARA CONTABILIZAR
		//iva
        $sumait=0;  $sumaivaconcepto=0; 
		$sql_datos=mysqli_query($conexion,"select iva,count(*)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' group by iva");
		while($datoslog= mysqli_fetch_row($sql_datos))//01
		{  	$sumaiva=0;$vrbase=0;
		   $iva=$datoslog[0];
		   $rs_iva=mysqli_query($conexion,"SELECT tarifa,nombre,icacliente FROM par_iva where id='".$iva."'");
		   while($datosiva= mysqli_fetch_row($rs_iva)){$tarifa=$datosiva[0]; $niva=$datosiva[1]; $ncuenta=$datosiva[2];}
		   
		   $sql_datosval=mysqli_query($conexion,"select valor,cuenta,id
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' and iva='".$iva."'");
    		while($datosval= mysqli_fetch_row($sql_datosval))//01
    		{
    		    $valor=$datosval[0];
    		    $iditem=$datosval[2];
    		    $vriva=($valor*$tarifa)/100;
    		    $sumaiva=$sumaiva+$vriva;
    		    $vrbase=$vrbase+$valor;
    		    //validamos los datos del iva para actualizar dato
		           $sql_insert=mysqli_query($conexion,"update documento_item set
														iva_cuenta='".$ncuenta."',
														iva_base='".$valor."',
														iva_valor='".round($vriva)."',
														reteiVa_base='".$vriva."'
														where id='".$iditem."'");
		        //fin
		        
		        if($contarfiscal>=1)
		   	    {     $sql_insert=mysqli_query($conexion,"update documento_item set
    														reteiVa_base='".$vriva."'
    														where id='".$idreteiva."'");
		   	    }      
		        
		        
		        
    		}
    		
    		if($niva<>"NA")
    		{
		       $sumait=$sumait+$sumaiva;
    		}
		   
		   $sumaivaconcepto=$sumaivaconcepto+$sumaiva;
		}
		$total=$sumait+$suma;
      
        //retefuente
         $sumatg=0;  $sumait=0;    
		$sql_datos=mysqli_query($conexion,"select retefuente,count(*)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' group by retefuente");
		while($datoslog= mysqli_fetch_row($sql_datos))//01
		{  	$sumaiva=0; $vrbase=0;
		   $retefuente=$datoslog[0];
		   $rs_iva=mysqli_query($conexion,"SELECT tarifa,nombre,icacliente FROM par_retefuente where id='".$retefuente."'");
		   while($datosiva= mysqli_fetch_row($rs_iva)){$tarifa=$datosiva[0]; $niva=$datosiva[1]; $ncuenta=$datosiva[2];}
		   
		   $sql_datosval=mysqli_query($conexion,"select valor,cuenta,id
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' and retefuente='".$retefuente."'");
    		while($datosval= mysqli_fetch_row($sql_datosval))//01
    		{
    		    $valor=$datosval[0];
    		    $iditretefu=$datosval[2];
    		    $vriva=($valor*$tarifa)/100;
    		    $sumaiva=$sumaiva+$vriva;
    		    $vrbase=$vrbase+$valor;
    		    //validamos los datos del RETEFUENTE para actualizar dato
		           $sql_insert=mysqli_query($conexion,"update documento_item set
														retefuente_cuenta='".$ncuenta."',
														retefuente_base='".$valor."',
														retefuente_valor='".round($vriva)."'
														where id='".$iditretefu."'");
		        //fin
    		}
		   	if($niva<>"NA")
		   	{
		        $sumait=$sumait+$sumaiva;
		   	}
		}
		$sumatg=$sumatg+$sumait;
		
		
		//reteica
         $sumait=0;   
		$sql_datos=mysqli_query($conexion,"select reteica,count(*)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' group by reteica");
		while($datoslog= mysqli_fetch_row($sql_datos))//01
		{  	$sumaiva=0;$vrbase=0;
		   $reteica=$datoslog[0];
		   $rs_iva=mysqli_query($conexion,"SELECT tarifa,nombre,icacliente FROM par_reteica where id='".$reteica."'");
		   while($datosiva= mysqli_fetch_row($rs_iva)){$tarifa=$datosiva[0]; $niva=$datosiva[1]; $ncuenta=$datosiva[2];}
		   
		   $sql_datosval=mysqli_query($conexion,"select valor,cuenta,id
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' and reteica='".$reteica."'");
    		while($datosval= mysqli_fetch_row($sql_datosval))//01
    		{
    		    $valor=$datosval[0];
    		    $idreteica=$datosval[2];
    		    $vriva=($valor*$tarifa)/1000;
    		    $sumaiva=$sumaiva+$vriva;
    		    $vrbase=$vrbase+$valor;
    		     //validamos los datos del RETEFUENTE para actualizar dato
		           $sql_insert=mysqli_query($conexion,"update documento_item set
														reteica_cuenta='".$ncuenta."',
														reteica_base='".$valor."',
														reteica_valor='".round($vriva)."'
														where id='".$idreteica."'");
		        //fin
    		}
	
		   if($niva<>"NA")
		   {
		   $sumait=$sumait+$sumaiva;
		   }
		}
        $sumatg=$sumatg+$sumait;
		
			//iva
         $sumait=0;   $vriva=0;
		$sql_datos=mysqli_query($conexion,"select reteiva,count(*)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' group by reteiva");
		while($datoslog= mysqli_fetch_row($sql_datos))//01
		{  $sumaiva=0;
		   $reteiva=$datoslog[0];
		   
		   $rs_iva=mysqli_query($conexion,"SELECT tarifa,nombre,icacliente FROM par_reteiva where id='".$reteiva."'");
		   while($datosiva= mysqli_fetch_row($rs_iva)){$tarifa=$datosiva[0]; $niva=$datosiva[1]; $ncuenta=$datosiva[2];}
		   
		   	if($contarfiscal>=1){} else {$sumaivaconcepto="";}
		   	if($contarfiscal>=1)
		   	{
		   		 $sql_datosval=mysqli_query($conexion,"select id,reteiva_base
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' and reteiva='".$reteiva."'");
            		while($datosval= mysqli_fetch_row($sql_datosval))//01
            		{
            		    $idreteiva=$datosval[0];
            		    $reteiva_base=$datosval[1];
            		    
            		    $vriva=($reteiva_base*$tarifa)/100;
            		    
        		   		 //validamos los datos del RETEIVA para actualizar dato
        		           $sql_insert=mysqli_query($conexion,"update documento_item set
        														reteiVa_cuenta='".$ncuenta."',
        														reteiVa_valor='".round($vriva)."'
        														where id='".$idreteiva."'");
        		        //fin
        		        $sumartiva=$sumartiva+$vriva;
            		}   
		        $sumait=$sumait+$sumaiva;
		   	}
		}

// FIN CALCULOS PARA CONTABILIZAR
  
    if($estadoDOC==107)
	   {
        //borramos tabla contabiliza
         $sql_delete=mysqli_query($conexion,"delete from contabiliza where documento='".$documento."' and empresa='".$vg_empresa."'");
	   }										       
////resumen

   $rsdc="";
    $sql_datosdc=mysqli_query($conexion,"select dc FROM documento_item
										where documento='".$documento."'
										and coddoc='".$coddoc."'
										and empresa='".$vg_empresa."' ");
	while($datosdc=mysqli_fetch_row($sql_datosdc)){$rsdc=$datosdc[0];}
     if($rsdc=='C'){$vdc=-1;}
     if($rsdc=='D'){$vdc=1;}
     
     if($td=='fe'){$dcenc="C";$dcdet="D";}
     if($td=='ndfe'){$dcenc="C";$dcdet="D";}
     if($td=='ncfe'){$dcenc="D";$dcdet="C";}
     
     $vssubstotal=$subtotal;

echo "<table id='example1' class='table ' style='font-size:12px; width:50%' cellpadding='0' cellspacing='0'  bordercolor='#cccccc' border='1'>";
  	 echo "<tr>
					<td align='right' colspan='4'>SUBTOTAL</td>
					<td align='right'><strong>".number_format($vssubstotal)."</strong></td>
		</tr>";
			echo "<tr>
					<td align='center' class='btn-primary'>TAX</td>
					<td align='center'  class='btn-primary'>DETALLE</td>
					<td align='center' class='btn-primary'>CUENTA</td>
					<td align='center' class='btn-primary'>BASE</td>
					<td align='center' class='btn-primary'>VALOR</td>
		</tr>";
		
		//contabiliza subtotal
		if($estadoDOC==107)
	     {
		    $tipocuenta=99;$nocuenta="";$detalle="SUBTOTAL";$base=0;
    		$sql_insert=mysqli_query($conexion,"insert into contabiliza	(coddoc,empresa,documento,item,tipocuenta,nocuenta,
    		                                                             detalle,base,valor,fecsis,horasis,usuario,dc)
    											values('".$coddoc."','".$vg_empresa."','".$documento."','1','".$tipocuenta."','".$nocuenta."',
    											       '".$detalle."','".$base."','".$vssubstotal."','".$fecsis."','".$horasis."','".$vg_login."','".$dcenc."')");
	     } 
		//fin
  
		//iva
        $sumait=0;  $sumaivaconcepto=0; 

		$sql_datosiva=mysqli_query($conexion,"select iva,count(*)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' 
											group by iva");
		while($datoslogiva= mysqli_fetch_row($sql_datosiva))//01
		{
    	    $codiva=$datoslogiva[0];
    		$sql_datos=mysqli_query($conexion,"select iva,iva_cuenta,sum(iva_base),sum(iva_valor)
    											FROM documento_item
    											where documento='".$documento."'
    											and coddoc='".$coddoc."'
    											and empresa='".$vg_empresa."' 
    											and iva='".$codiva."'
    											group by iva,iva_cuenta");
    		while($datoslog= mysqli_fetch_row($sql_datos))//01
    		{  
    		   $iva=$datoslog[0];
    		   $iva_cuenta=$datoslog[1];
    		   $iva_base=$datoslog[2];
    		   $iva_valor=$datoslog[3];
    		   
    		   $rs_iva=mysqli_query($conexion,"SELECT nombre FROM par_iva where id='".$iva."'");
    		   while($datosiva= mysqli_fetch_row($rs_iva)){$niva=$datosiva[0];}
    		   //$vssubstotal=$subtotal*$vdc;	
        	   		echo "<tr>
    					<td align='center'>IVA</td>
    					<td align='center'>$niva</td>
    					<td align='center'>$iva_cuenta</td>
    					<td align='right'><strong>".number_format($iva_base)."</strong></td>
    					<td align='right'><strong>".number_format($iva_valor)."</strong></td>
    				</tr>";
    		     $sumait=$sumait+$iva_valor;
    		     
    		     if($estadoDOC==107)
            	     {
            		   	$sql_insert=mysqli_query($conexion,"insert into contabiliza	(coddoc,empresa,documento,item,nombretipocuenta,tipocuenta,nocuenta,
                		                                                             detalle,base,valor,fecsis,horasis,usuario,dc)
                											values('".$coddoc."','".$vg_empresa."','".$documento."','2','IVA','".$codiva."','".$iva_cuenta."',
                											       '".$niva."','".($iva_base)."','".($iva_valor)."','".$fecsis."','".$horasis."','".$vg_login."','".$dcenc."')");
            	     } 
            		//fin
        	   
    		}
		}		
	
	

		$total=$subtotal+$sumait;
        echo "<tr>
        	<td align='right' colspan='4'>TOTAL FACTURA</td>
        	<td align='right'><strong>".number_format($total)."</strong></td>
        </tr>";
        //contabiliza subtotal
		if($estadoDOC==107)
	     {
		    $tipocuenta=96;$nocuenta="";$detalle="TOTAL FACTURA";$base=0;
    		$sql_insert=mysqli_query($conexion,"insert into contabiliza	(coddoc,empresa,documento,item,tipocuenta,nocuenta,
    		                                                             detalle,base,valor,fecsis,horasis,usuario,dc)
    											values('".$coddoc."','".$vg_empresa."','".$documento."','3','".$tipocuenta."','".$nocuenta."',
    											       '".$detalle."','".$base."','".($total)."','".$fecsis."','".$horasis."','".$vg_login."','".$dcenc."')");
	     } 
		//fin

    //retefuente
        $sumacon=0;  
    	$sql_datosrs=mysqli_query($conexion,"select retefuente,count(*)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' 
											group by retefuente");
		while($datosrs= mysqli_fetch_row($sql_datosrs))//01
		{  
		   $codretefuente=$datosrs[0];
		    $sql_datos=mysqli_query($conexion,"select retefuente,retefuente_cuenta,sum(retefuente_base),sum(retefuente_valor)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' 
											and retefuente='".$codretefuente."' 
											group by retefuente,retefuente_cuenta");
    		while($datoslog= mysqli_fetch_row($sql_datos))//01
    		{  
    		   $retefuente=$datoslog[0];
    		   $retefuente_cuenta=$datoslog[1];
    		   $retefuente_base=$datoslog[2];
    		   $retefuente_valor=$datoslog[3];
    		   
    		   $rs_iva=mysqli_query($conexion,"SELECT tarifa,nombre,icaproveedor FROM par_retefuente where id='".$retefuente."'");
    		   while($datosiva= mysqli_fetch_row($rs_iva)){$nretefuente=$datosiva[1]; }
    		  	$vrdc="1";
    		    if($td=='ncfe'){$vrdc="-1";}
        			echo "<tr>
    					<td align='center'>RETEFUENTE</td>
    					<td align='center'>$nretefuente</td>
    					<td align='center'>$retefuente_cuenta</td>
    					<td align='right'><strong>".number_format($retefuente_base)."</strong></td>
    					<td align='right'><strong>".number_format($retefuente_valor)."</strong></td>
    				</tr>";
    	     	$sumacon=$sumacon+$retefuente_valor;
    	     	
    	     	if($estadoDOC==107)
            	     {
            	        if($retefuente_base<>""){}else{$retefuente_base=0;}
            		   	if($retefuente_valor<>""){}else{$retefuente_valor=0;}   
            		   	$sql_insert=mysqli_query($conexion,"insert into contabiliza	(coddoc,empresa,documento,item,nombretipocuenta,tipocuenta,nocuenta,
                		                                                             detalle,base,valor,fecsis,horasis,usuario,dc)
                											values('".$coddoc."','".$vg_empresa."','".$documento."','4','RETEFUENTE','".$codretefuente."','".$retefuente_cuenta."',
                											       '".$nretefuente."','".($retefuente_base)."','".($retefuente_valor)."','".$fecsis."','".$horasis."','".$vg_login."','".$dcdet."')");
            	     } 
            		//fin
    		}
		}	
        
    //reteica
     	$sql_datosrs=mysqli_query($conexion,"select reteica,count(*)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' 
											group by reteica");
		while($datoslogrs= mysqli_fetch_row($sql_datosrs))//01
		{  
		    $reteica=$datoslogrs[0];
         	$sql_datos=mysqli_query($conexion,"select reteica,reteica_cuenta,sum(reteica_base),sum(reteica_valor)
    											FROM documento_item
    											where documento='".$documento."'
    											and coddoc='".$coddoc."'
    											and empresa='".$vg_empresa."' 
    											and reteica='".$reteica."'
    											group by reteica,reteica_cuenta");
    		while($datoslog= mysqli_fetch_row($sql_datos))//01
    		{  
    		   $reteica=$datoslog[0];
    		   $reteica_cuenta=$datoslog[1];
    		   $reteica_base=$datoslog[2];
    		   $reteica_valor=$datoslog[3];
    		  
    		  $rs_iva=mysqli_query($conexion,"SELECT tarifa,nombre,icaproveedor FROM par_reteica where id='".$reteica."'");
    		   while($datosiva= mysqli_fetch_row($rs_iva)){$nreteica=$datosiva[1]; }
    		  	
    		  	$vrdc="1";
    		    if($td=='ncfe'){$vrdc="-1";}
        			echo "<tr>
    					<td align='center'>RETEICA</td>
    					<td align='center'>$nreteica</td>
    					<td align='center'>$reteica_cuenta</td>
    					<td align='right'><strong>".number_format($reteica_base)."</strong></td>
    					<td align='right'><strong>".number_format($reteica_valor)."</strong></td>
    				</tr>";
    		  $sumacon=$sumacon+$reteica_valor;		
    		  
    		  	if($estadoDOC==107)
            	     {
            	        if($reteica_base<>""){}else{$reteica_base=0;}
            		   	if($reteica_valor<>""){}else{$reteica_valor=0;}  
            		   	$sql_insert=mysqli_query($conexion,"insert into contabiliza	(coddoc,empresa,documento,item,nombretipocuenta,tipocuenta,nocuenta,
                		                                                             detalle,base,valor,fecsis,horasis,usuario,dc)
                											values('".$coddoc."','".$vg_empresa."','".$documento."','5','RETEICA','".$reteica."','".$reteica_cuenta."',
                											       '".$nreteica."','".($reteica_base)."','".($reteica_valor)."','".$fecsis."','".$horasis."','".$vg_login."','".$dcdet."')");
            	     } 
            		//fin
    		}
		}	
		
	 //reteiV
        //reteiV
	  	$sql_datosrs=mysqli_query($conexion,"select reteiVa,count(*)
											FROM documento_item
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' 
											group by reteiVa");
		while($datoslogrs= mysqli_fetch_row($sql_datosrs))//01
		{  
		    $reteiva=$datoslogrs[0];
         	$sql_datos=mysqli_query($conexion,"select reteiva,reteiva_cuenta,sum(reteiva_base),sum(reteiva_valor)
    											FROM documento_item
    											where documento='".$documento."'
    											and coddoc='".$coddoc."'
    											and empresa='".$vg_empresa."' 
    											and reteiVa='".$reteiva."'
    											group by reteiva,reteiva_cuenta");
    		while($datoslog= mysqli_fetch_row($sql_datos))//01
    		{  
    		   $reteiva=$datoslog[0];
    		   $reteiva_cuenta=$datoslog[1];
    		   $reteiva_base=$datoslog[2];
    		   $reteiva_valor=$datoslog[3];
    		   
    		   $rs_iva=mysqli_query($conexion,"SELECT tarifa,nombre,icaproveedor FROM par_reteiva where id='".$reteiva."'");
    		   while($datosiva= mysqli_fetch_row($rs_iva)){$nreteiva=$datosiva[1]; }
    		  	$vrdc="1";
    		    if($td=='ncfe'){$vrdc="-1";}
        			echo "<tr>
    					<td align='center'>RETEIVA</td>
    					<td align='center'>$nreteiva</td>
    					<td align='center'>$reteiva_cuenta</td>
    					<td align='right'><strong>".number_format($reteiva_base)."</strong></td>
    					<td align='right'><strong>".number_format($reteiva_valor)."</strong></td>
    				</tr>";
    		  $sumacon=$sumacon+$reteiva_valor;	
    		  
    		  if($estadoDOC==107)
            	     {
            		   	if($reteiva_base<>""){}else{$reteiva_base=0;}
            		   	if($reteiva_valor<>""){}else{$reteiva_valor=0;}
            		   	$sql_insert=mysqli_query($conexion,"insert into contabiliza	(coddoc,empresa,documento,item,nombretipocuenta,tipocuenta,nocuenta,
                		                                                             detalle,base,valor,fecsis,horasis,usuario,dc)
                											values('".$coddoc."','".$vg_empresa."','".$documento."','6','RETEIVA','".$reteiva."','".$reteiva_cuenta."',
                											       '".$nreteiva."','".($reteiva_base)."','".($reteiva_valor)."','".$fecsis."','".$horasis."','".$vg_login."','".$dcdet."')");
            	     } 
            		//fin
    		}
		}	
    
	echo "<tr>
					<td align='center' ></td>
					<td align='center' >ANTICIPO</td>
					<td align='center' >$cuentaanticipo</td>
					<td align='center'></td>
					<td align='right'><strong>".number_format($anticipo)."</strong></td>
				</tr>";
      
       if($estadoDOC==107)
            	     {
            		   	$tipocuenta=98;$nocuenta=98;$detalle="ANTICIPO";$base=0;
    		            $sql_insert=mysqli_query($conexion,"insert into contabiliza	(coddoc,empresa,documento,item,tipocuenta,nocuenta,
    		                                                             detalle,base,valor,fecsis,horasis,usuario,dc)
    											values('".$coddoc."','".$vg_empresa."','".$documento."','7','".$tipocuenta."','".$cuentaanticipo."',
    											       '".$detalle."','".$base."','".$anticipo."','".$fecsis."','".$horasis."','".$vg_login."','".$dcdet."')");
            	     } 
            		//fin
            $sumacon=$sumacon+$anticipo;			
      
       
       if($coddoc=='ncfe')
         {$neto=$total-$sumacon;}
       else
       {
        $neto=$total-$sumacon;
       }    
      
       	echo "<tr>
					<td align='center' ></td>
					<td align='center' >NETO A COBRAR</td>
					<td align='center' >$cuentacontable</td>
					<td align='center'></td>
					<td align='right'><strong>".number_format($neto)."</strong></td>
				</tr>";
	
	     if($estadoDOC==107)
            	     {
            		   	$tipocuenta=97;$nocuenta=97;$detalle="NETO A COBRAR";$base=0;
            		   	
                    	  
    		            $sql_insert=mysqli_query($conexion,"insert into contabiliza	(coddoc,empresa,documento,item,tipocuenta,nocuenta,
    		                                                             detalle,base,valor,fecsis,horasis,usuario,dc)
    											values('".$coddoc."','".$vg_empresa."','".$documento."','8','".$tipocuenta."','".$cuentacontable."',
    											       '".$detalle."','".$base."','".$neto."','".$fecsis."','".$horasis."','".$vg_login."','".$dcdet."')");
            	     } 
            		//fin

	 echo "</table>";	
//fin
	if($estadoDOC==107)
	{
	    $sql_insert=mysqli_query($conexion,"update documento set
    										cuentaxpagar='".$cuentacontable."',
    										neto='".$neto."'
    										where id='".$documento."'");			
	}	

?>


</div>
</div>	
</center>

<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>  



<SCRIPT type=text/javascript>


function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.frmempresa.oguardar.value=0;			
			return false;
			}
		else
		  { document.frmempresa.oguardar.value=1; 
			document.frmempresa.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.frmempresa.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.frmempresa.omodificar.value=0; 	
			return false;
			}
		else
		  { document.frmempresa.omodificar.value=1; 
			document.frmempresa.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.frmempresa.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  

	var mensaje='';
		 if(document.frmempresa.tipo.value>0){}
		 else {mensaje=mensaje + 'Tipo,';    }
		 if(document.frmempresa.subtipo.value>0){}
		 else {mensaje=mensaje + 'Tipo,';    }
		 if(document.frmempresa.concepto.value>0){}
		 else {mensaje=mensaje + 'Concepto,';    }
		 if(document.frmempresa.cuenta.value!=''){}
		 else {mensaje=mensaje + 'cuenta,';    }
		 if(document.frmempresa.cencos.value>0){}
		 else {mensaje=mensaje + 'Centro Costo,';    }
		 if(document.frmempresa.valor.value!=''){}
		 else {mensaje=mensaje + 'Valor,';    }
		 if(document.frmempresa.detalle.value!=''){}
		 else {mensaje=mensaje + 'Detalle,';    }

		 if(document.frmempresa.iva.value>0){}
		 else {mensaje=mensaje + 'Iva,';    }
		 if(document.frmempresa.retefuente.value>0){}
		 else {mensaje=mensaje + 'Retefuente,';    }
		 if(document.frmempresa.reteica.value>0){}
		 else {mensaje=mensaje + 'Reteica,';    }
		 if(document.frmempresa.reteiva.value>0){}
		 else {mensaje=mensaje + 'Reteiva,';    }


		if(document.frmempresa.tipo.value>0){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JACOME",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>


<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>

</form>
</body>
</html>
